<script setup>
</script>

<script>
export default {
  props: {
    sizeInfo: {
      required: true,
      type: Object,
    },
  },
}
</script>

<template>
  <div v-if="sizeInfo.num_size_categories > 0" id="request-category-info">
  <p v-if="sizeInfo.is_full">Your team is full; you cannot accept any requests</p>
  <template v-if="sizeInfo.num_size_categories == 1">
    Teams can have up to {{ max_team_size }} members.
  </template>
  <template v-else>
    <p>Accepting another member will
      <template v-if="sizeInfo.category_after_accept.id !== sizeInfo.current_category.id" >
        put your team into the category: <span id="next-category">{{ sizeInfo.category_after_accept.label }}</span>.
      </template>
      <template v-else>
        not alter your team's category.
      </template>
    </p>
  </template>
  </div>
</template>

<style scoped lang="scss">

</style>
